Get Lineage Service Health
GET
/api/v1/lineage/health
const url = 'https://example.com/api/v1/lineage/health';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/lineage/healthCheck lineage service health and system tables connectivity.
Returns: Health status of the lineage tracking service and system tables access.
Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
LineageHealthCheck
Health check response for lineage services.
object
Examplegenerated
{ "status": "example", "lineage_api_available": true, "system_tables_accessible": true, "last_sync_time": "2026-04-15T12:00:00Z", "error_message": "example", "total_tables_tracked": 1}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}